Bug 1463555 - rhsm subscription broken if 'register to' is set to sat6
rhsm subscription broken if 'register to' is set to sat6
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Milan Zázrivec
Dave Johnson
webui
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 04:44 EDT by luke couzens
Modified: 2018-05-18 01:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luke couzens 2017-06-21 04:44:54 EDT
Description of problem:If you select sat6 for 'Register to' but fill in normal rhsm details validation is successful and it pulls the org name from the server, after clicking save rhsm registration fails.


Version-Release number of selected component (if applicable):5.8.0.17


How reproducible:100%


Steps to Reproduce:
1.provision appliance
2.nav to configuration-settings-region-Red Hat Updates
3.edit registration
4.set 'register to' Red Hat Satellite 6
5.fill in usual rhsm details
6.click validate and save
7.try to register

Actual results:registration hangs, last message shows registering

evm log shows

[----] E, [2017-06-21T03:53:29.472491 #2847:fc9130] ERROR -- : AwesomeSpawn: subscription-manager register exit code: 69
[----] E, [2017-06-21T03:53:29.472614 #2847:fc9130] ERROR -- : AwesomeSpawn: Error: Server does not support environments.
[----] E, [2017-06-21T03:53:29.473033 #2847:fc9130] ERROR -- : MIQ(MiqQueue#deliver) Message id: [12392], Error: [subscription-manager register exit code: 69]
[----] E, [2017-06-21T03:53:29.473174 #2847:fc9130] ERROR -- : [AwesomeSpawn::CommandResultError]: subscription-manager register exit code: 69  Method:[rescue in deliver]
[----] E, [2017-06-21T03:53:29.473241 #2847:fc9130] ERROR -- : /opt/rh/cfme-gemset/gems/awesome_spawn-1.4.1/lib/awesome_spawn.rb:105:in `run!'


Expected results:Validation fails


Additional info:
I don't think we do any validation on whether the host is actually sat6 or not, but when we change the 'register to' drop down to sat6 perhaps the address should change to something like <sat6 hostname>.

Currently the address field name changes from Red Hat Subscription Management Address to Red Hat Satellite 6 Address but the actual hostname itself stays on subscription.rhn.redhat.com

If this changed I would expect validation to fail as it would not be able to authenticate with the server, but checking this that is not the case, if you are using valid rhsm login details everything set to 'bogus' above is ignored during validation.
Comment 2 Nick Carboni 2018-05-07 10:09:31 EDT
If the fix we want here is to change the hostname value in the form when the dropdown for type is changed, I think that would be a UI change.

Reassigning.

Note You need to log in before you can comment on or make changes to this bug.